<template>
  <div class="main_content">
    <img src="https://webapp-pub.ezijing.com/www/pc/news/news.png" class="banner" />
    <article-list v-bind="listOptions"></article-list>
  </div>
</template>

<script>
import navList from '@/assets/alumnusNavList.js'
import ArticleList from '@/components/ArticleList'
import { getArticleList } from '@/api'

export default {
  components: { ArticleList },
  data() {
    return {}
  },
  computed: {
    listOptions() {
      return {
        remote: {
          httpRequest: getArticleList,
          params: {
            project_id: process.env.projectId,
            type_tag: 'article_alumni'
          }
        },
        to(item) {
          return { name: 'alumnus-story-id', params: { id: item.id } }
        }
      }
    }
  }
}
</script>
<style lang="scss" scoped>
.main_content {
  width: 1200px;
  margin: 30px auto;

  .banner {
    width: 100%;
  }
}
</style>
